NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.StyledBlendBuilder Class Reference

Represents a NXOpen.Features.StyledBlend builder More...

Inheritance diagram for NXOpen.Features.StyledBlendBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  StyledBlendRadiusConstraintType { None, Peak, Minimum }
 The radius constraint type More...
 
enum  StyledBlendShapeControlType {
  TangentCurve1, TangentCurve2, Depth, Skew,
  TangentMagnitude
}
 The shape control types More...
 
enum  StyledBlendTrimMethodType { NoTrim, TrimAndAttach, TrimInputWalls, TrimInputBlends }
 The trim method types More...
 
enum  Types { Law, Curve, Profile }
 The styled blend types More...
 

Public Member Functions

unsafe void ProcessInheritFeatureParameters (NXOpen.Features.StyledBlend feature)
 Internally data processing of inherited parameters from other Styled Blend feature More...
 
unsafe void ReverseBlend ()
 Reverses the blend More...
 
unsafe void UpdateCenterCurve ()
 Updates the center curve. More...
 
unsafe void UpdateProfileCurve ()
 Updates the profile curve for Profile type. More...
 
unsafe void UpdateRadiusLawSpine ()
 Updates the spine in radius laws. More...
 
unsafe void UpdateResetData ()
 Set necessary builder data. More...
 
unsafe void UpdateShapeLawSpine (bool isDefaultSpine)
 Updates the spine in shape laws. More...
 
unsafe void UpdateSpineCurve ()
 Updates the spine curve. More...
 
unsafe void UpdateTangentCurve1 ()
 Updates the first tangent curve for Curve type. More...
 
unsafe void UpdateTangentCurve2 ()
 Updates the second tangent curve for Curve Type. More...
 
unsafe bool UpdateWall1 ()
 Updates the first wall. More...
 
unsafe bool UpdateWall2 ()
 Updates the second wall. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.SelectEdge AdjacentBlend1 [get]
 Returns the first adjacent blend More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
AdjacentBlend1TrimEnd [get]
 Returns the trim end of the first adjacent blend More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
AdjacentBlend1TrimStart [get]
 Returns the trim start of the first adjacent blend More...
 
unsafe NXOpen.SelectEdge AdjacentBlend2 [get]
 Returns the second adjacent blend More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
AdjacentBlend2TrimEnd [get]
 Returns the trim end of the second adjacent blend More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
AdjacentBlend2TrimStart [get]
 Returns the trim start of the second adjacent blend More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
Blend1Continuity [get]
 Returns the first blend continuity More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
Blend2Continuity [get]
 Returns the second blend continuity More...
 
unsafe NXOpen.Section CenterCurve [get]
 Returns the center curve More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
CenterCurveEnd [get]
 Returns the center curve end More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
CenterCurveStart [get]
 Returns the center curve start More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
DepthLaw [get]
 Returns the depth More...
 
unsafe
NXOpen.Features.SelectFeature 
InheritFeatureParameters [get]
 Returns a feature from which parameters will be inherited. More...
 
unsafe bool IsBlendExtended [get, set]
 Returns or sets a value indicating whether the blend is extended More...
 
unsafe bool IsCenterCurveDirectionReversed [get, set]
 Returns or sets a value indicating whether the center curve direction is reversed More...
 
unsafe bool IsCenterCurveUsedAsSpine [get, set]
 Returns or sets a value indicating whether the center curve is used as the spine More...
 
unsafe bool IsNormal1Reversed [get, set]
 Returns or sets a value indicating whether to reverse the normal of the first wall More...
 
unsafe bool IsNormal2Reversed [get, set]
 Returns or sets a value indicating whether to reverse the normal of the second wall More...
 
unsafe bool IsSingleTubeUsed [get, set]
 Returns or sets a value indicating whether the single tube is used More...
 
unsafe bool LinkHandles [get, set]
 Returns or sets a value indicating whether to link the handles More...
 
unsafe double PositionTolerance [get, set]
 Returns or sets the position tolerance More...
 
unsafe NXOpen.Section ProfileCurve [get]
 Returns the profile curve More...
 
unsafe
NXOpen.Features.StyledBlendBuilder.StyledBlendRadiusConstraintType 
RadiusConstraintType [get, set]
 Returns or sets the radius constraint type More...
 
unsafe NXOpen.Expression RadiusConstraintValue [get]
 Returns the radius constraint value More...
 
unsafe
NXOpen.GeometricUtilities.Rebuild 
RebuildGuide [get]
 Returns the rebuild guide More...
 
unsafe
NXOpen.Features.StyledBlendBuilder.StyledBlendShapeControlType 
ShapeControl [get, set]
 Returns or sets the shape control More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
SkewLaw [get]
 Returns the skew More...
 
unsafe NXOpen.Section SpineCurve [get]
 Returns the spine curve More...
 
unsafe NXOpen.Section TangentCurve1 [get]
 Returns the first tangent curve More...
 
unsafe NXOpen.Section TangentCurve2 [get]
 Returns the second tangent curve More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
TangentMagnitude1 [get]
 Returns the tangent magnitude 1 More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
TangentMagnitude2 [get]
 Returns the tangent magnitude 2 More...
 
unsafe double TangentTolerance [get, set]
 Returns or sets the tangent tolerance More...
 
unsafe
NXOpen.Features.StyledBlendBuilder.StyledBlendTrimMethodType 
TrimMethod [get, set]
 Returns or sets the trim method More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
TubeRadius1 [get]
 Returns the first tube radius More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
TubeRadius2 [get]
 Returns the second tube radius More...
 
unsafe
NXOpen.Features.StyledBlendBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 
unsafe NXOpen.ScCollector Wall1 [get]
 Returns the first wall More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
Wall1Continuity [get]
 Returns the first wall continuity More...
 
unsafe
NXOpen.GeometricUtilities.FlowDirection 
Wall1Direction [get]
 Returns the first wall flow direction More...
 
unsafe NXOpen.ScCollector Wall2 [get]
 Returns the second wall More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
Wall2Continuity [get]
 Returns the second wall continuity More...
 
unsafe
NXOpen.GeometricUtilities.FlowDirection 
Wall2Direction [get]
 Returns the second wall flow direction More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.StyledBlend builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateStyledBlendBuilder

Default values.

Property Value

DepthLaw.Function

ft

DepthLaw.LawType

MultiTransition

DepthLaw.Parameter

t

IsCenterCurveUsedAsSpine

0

IsSingleTubeUsed

1

LinkHandles

0

RadiusConstraintType

None

RadiusConstraintValue.Value

1.0 (millimeters part), 2.54 (inches part)

RebuildGuide.DegreeType

Quintic

ShapeControl

TangentCurve1

SkewLaw.LawType

MultiTransition

TangentMagnitude1.LawType

MultiTransition

TangentMagnitude2.LawType

MultiTransition

TrimMethod

NoTrim

TubeRadius1.LawType

MultiTransition

TubeRadius2.LawType

MultiTransition

Created in NX6.0.0

Member Enumeration Documentation

The radius constraint type

Enumerator
None 

Non-radius constraint

Peak 

Peak radius constraint

Minimum 

Minimum radius constraint

The shape control types

Enumerator
TangentCurve1 

Tangent curve 1

TangentCurve2 

Tangent curve 2

Depth 

Depth control

Skew 

Skew control

TangentMagnitude 

Tangent magnitude control

The trim method types

Enumerator
NoTrim 

Non-trim

TrimAndAttach 

Trim and attach

TrimInputWalls 

Trim input walls

TrimInputBlends 

Trim input blends

The styled blend types

Enumerator
Law 

Law type

Curve 

Curve type

Profile 

Profile type

Member Function Documentation

unsafe void NXOpen.Features.StyledBlendBuilder.ProcessInheritFeatureParameters ( NXOpen.Features.StyledBlend  feature)
inline

Internally data processing of inherited parameters from other Styled Blend feature

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
feature
unsafe void NXOpen.Features.StyledBlendBuilder.ReverseBlend ( )
inline

Reverses the blend

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StyledBlendBuilder.UpdateCenterCurve ( )
inline

Updates the center curve.

This API is used for recording spine creation for the radius and shape laws

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StyledBlendBuilder.UpdateProfileCurve ( )
inline

Updates the profile curve for Profile type.

This API is used for recording spine creation for the shape law

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StyledBlendBuilder.UpdateRadiusLawSpine ( )
inline

Updates the spine in radius laws.

You should call this function whenever input walls or center curve have been changed

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StyledBlendBuilder.UpdateResetData ( )
inline

Set necessary builder data.

This API is used for recording reset all action

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StyledBlendBuilder.UpdateShapeLawSpine ( bool  isDefaultSpine)
inline

Updates the spine in shape laws.

You should call this function whenever input walls, center curve, spine, tangent curves or profile curve have been changed

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
isDefaultSpine
unsafe void NXOpen.Features.StyledBlendBuilder.UpdateSpineCurve ( )
inline

Updates the spine curve.

This API is used for recording spine creation for the radius and shape laws

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StyledBlendBuilder.UpdateTangentCurve1 ( )
inline

Updates the first tangent curve for Curve type.

This API is used for recording spine creation for the radius and shape laws

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StyledBlendBuilder.UpdateTangentCurve2 ( )
inline

Updates the second tangent curve for Curve Type.

This API is used for recording spine creation for the radius and shape laws

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StyledBlendBuilder.UpdateWall1 ( )
inline

Updates the first wall.

This API is used for recording spine creation for the radius and shape laws

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Returns
unsafe bool NXOpen.Features.StyledBlendBuilder.UpdateWall2 ( )
inline

Updates the second wall.

This API is used for recording spine creation for the radius and shape laws

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Returns

Property Documentation

unsafe NXOpen.SelectEdge NXOpen.Features.StyledBlendBuilder.AdjacentBlend1
get

Returns the first adjacent blend

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.StyledBlendBuilder.AdjacentBlend1TrimEnd
get

Returns the trim end of the first adjacent blend

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.StyledBlendBuilder.AdjacentBlend1TrimStart
get

Returns the trim start of the first adjacent blend

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectEdge NXOpen.Features.StyledBlendBuilder.AdjacentBlend2
get

Returns the second adjacent blend

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.StyledBlendBuilder.AdjacentBlend2TrimEnd
get

Returns the trim end of the second adjacent blend

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.StyledBlendBuilder.AdjacentBlend2TrimStart
get

Returns the trim start of the second adjacent blend

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.StyledBlendBuilder.Blend1Continuity
get

Returns the first blend continuity

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.StyledBlendBuilder.Blend2Continuity
get

Returns the second blend continuity

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Section NXOpen.Features.StyledBlendBuilder.CenterCurve
get

Returns the center curve

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.StyledBlendBuilder.CenterCurveEnd
get

Returns the center curve end

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.StyledBlendBuilder.CenterCurveStart
get

Returns the center curve start

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.StyledBlendBuilder.DepthLaw
get

Returns the depth

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.SelectFeature NXOpen.Features.StyledBlendBuilder.InheritFeatureParameters
get

Returns a feature from which parameters will be inherited.

If you do not want to inherit parameters, do not set this

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StyledBlendBuilder.IsBlendExtended
getset

Returns or sets a value indicating whether the blend is extended

Created in NX6.0.0

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StyledBlendBuilder.IsCenterCurveDirectionReversed
getset

Returns or sets a value indicating whether the center curve direction is reversed

Created in NX6.0.0

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StyledBlendBuilder.IsCenterCurveUsedAsSpine
getset

Returns or sets a value indicating whether the center curve is used as the spine

Created in NX6.0.0

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StyledBlendBuilder.IsNormal1Reversed
getset

Returns or sets a value indicating whether to reverse the normal of the first wall

Created in NX6.0.0

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StyledBlendBuilder.IsNormal2Reversed
getset

Returns or sets a value indicating whether to reverse the normal of the second wall

Created in NX6.0.0

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StyledBlendBuilder.IsSingleTubeUsed
getset

Returns or sets a value indicating whether the single tube is used

Created in NX6.0.0

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StyledBlendBuilder.LinkHandles
getset

Returns or sets a value indicating whether to link the handles

Created in NX6.0.0

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Features.StyledBlendBuilder.PositionTolerance
getset

Returns or sets the position tolerance

Created in NX6.0.0

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Section NXOpen.Features.StyledBlendBuilder.ProfileCurve
get

Returns the profile curve

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StyledBlendBuilder.StyledBlendRadiusConstraintType NXOpen.Features.StyledBlendBuilder.RadiusConstraintType
getset

Returns or sets the radius constraint type

Created in NX6.0.0

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Expression NXOpen.Features.StyledBlendBuilder.RadiusConstraintValue
get

Returns the radius constraint value

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Rebuild NXOpen.Features.StyledBlendBuilder.RebuildGuide
get

Returns the rebuild guide

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StyledBlendBuilder.StyledBlendShapeControlType NXOpen.Features.StyledBlendBuilder.ShapeControl
getset

Returns or sets the shape control

Created in NX6.0.0

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.StyledBlendBuilder.SkewLaw
get

Returns the skew

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Section NXOpen.Features.StyledBlendBuilder.SpineCurve
get

Returns the spine curve

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Section NXOpen.Features.StyledBlendBuilder.TangentCurve1
get

Returns the first tangent curve

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Section NXOpen.Features.StyledBlendBuilder.TangentCurve2
get

Returns the second tangent curve

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.StyledBlendBuilder.TangentMagnitude1
get

Returns the tangent magnitude 1

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.StyledBlendBuilder.TangentMagnitude2
get

Returns the tangent magnitude 2

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Features.StyledBlendBuilder.TangentTolerance
getset

Returns or sets the tangent tolerance

Created in NX6.0.0

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StyledBlendBuilder.StyledBlendTrimMethodType NXOpen.Features.StyledBlendBuilder.TrimMethod
getset

Returns or sets the trim method

Created in NX6.0.0

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.StyledBlendBuilder.TubeRadius1
get

Returns the first tube radius

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.StyledBlendBuilder.TubeRadius2
get

Returns the second tube radius

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StyledBlendBuilder.Types NXOpen.Features.StyledBlendBuilder.Type
getset

Returns or sets the type

Created in NX6.0.0

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.ScCollector NXOpen.Features.StyledBlendBuilder.Wall1
get

Returns the first wall

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.StyledBlendBuilder.Wall1Continuity
get

Returns the first wall continuity

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.FlowDirection NXOpen.Features.StyledBlendBuilder.Wall1Direction
get

Returns the first wall flow direction

Created in NX5.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.ScCollector NXOpen.Features.StyledBlendBuilder.Wall2
get

Returns the second wall

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.StyledBlendBuilder.Wall2Continuity
get

Returns the second wall continuity

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.FlowDirection NXOpen.Features.StyledBlendBuilder.Wall2Direction
get

Returns the second wall flow direction

Created in NX5.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.